Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 22 Dec 2014, 21:00
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Gimp 2.8.8 pet for Precise Raring Slacko Wheezy [Delete]
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [10 Posts]  
Author Message
don570


Joined: 10 Mar 2010
Posts: 3437
Location: Ontario

PostPosted: Mon 11 Nov 2013, 16:02    Post subject:  Gimp 2.8.8 pet for Precise Raring Slacko Wheezy [Delete]  

New version available here

I compiled Gimp 2.8.8 in Precise Puppy

alternate SFS version

Code:
./configure --disable-python --prefix=/usr



gimp-precise-2.8.8.pet 15MB

gimp-precise NLS-2.8.8.pet 10 MB (optional foreign locals)

gimp-docs-2.8.8.pet 700 kb (optional)

________________________________________________________

For Wheezy I had to compile separately because of gegl-babl differences.

gimp-wheezy-2.8.8.pet 19MB
gimp-wheezy NLS-2.8.8.pet 10MB
gimp-docs-2.8.8.pet 700kb

________________________________________________

Last edited by don570 on Thu 05 Dec 2013, 14:04; edited 9 times in total
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3437
Location: Ontario

PostPosted: Mon 11 Nov 2013, 16:11    Post subject:  

The user can install the G'MIC plugins in Gimp.
Both files must be installed!!

gimp-gmic-1.5.5.pet
fftw-3.3.2.pet


When properly installed you will see the following menu.
G'MIC is on the bottom of menu (see image)



You can choose from many effects...

Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 317
Location: Tallahassee FL US

PostPosted: Mon 11 Nov 2013, 16:26    Post subject:  

hey don570 i compiled babl and gegl with these options --disable-shared --enable-static so when you compile a app against them they are built into the app. i dont know of much that needs those 2 libs so why have them shared. compiling without python and babl and gegl static makes gimp more like a portable app and will work on most puppies.

babl http://www.mediafire.com/download/80np3t5lywt2zbf/babl-0.1.10-i686-static.pet

gegl http://www.mediafire.com/download/a08saonpfk2v5hu/gegl-0.2.0-i686-static.pet
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
don570


Joined: 10 Mar 2010
Posts: 3437
Location: Ontario

PostPosted: Mon 11 Nov 2013, 16:42    Post subject:  

I believe I got my versions of Gegl-Babl from launchpad.com

The difficulty is compiling for Wheezy puppy by Pemasu.


________________________________________________
Back to top
View user's profile Send private message 
Scotchialoo

Joined: 25 Oct 2013
Posts: 54
Location: Poland

PostPosted: Mon 11 Nov 2013, 16:56    Post subject:  

scabz wrote:
hey don570 i compiled babl and gegl with these options --disable-shared --enable-static so when you compile a app against them they are built into the app. i dont know of much that needs those 2 libs so why have them shared. compiling without python and babl and gegl static makes gimp more like a portable app and will work on most puppies.


So in "Linux from scratch" doesn't show about a Babl and GeGL with a "--disable-shared and --enable-static" command
More at My GIMP 2.8.8 FatDog64 Portable in .SFS form: http://murga-linux.com/puppy/viewtopic.php?t=90159

don570 wrote:
I believe I got my versions of Gegl-Babl from launchpad.com

That's official source on a future:
ftp://ftp.gimp.org/pub/babl/
ftp://ftp.gimp.org/pub/gegl/
Back to top
View user's profile Send private message Visit poster's website 
don570


Joined: 10 Mar 2010
Posts: 3437
Location: Ontario

PostPosted: Tue 12 Nov 2013, 17:58    Post subject:  

Scabz links don't work anymore so here are packages I used for Wheezy

using static gegl-babl provided by forum member scabz

babl-0.1.10-i686-static.pet

gegl-0.2.0-i686-static.pet
________________________________________________
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3437
Location: Ontario

PostPosted: Wed 13 Nov 2013, 20:39    Post subject:  

I mixed up posting of Wheezy and Precise pets Embarassed

Fixed now.
_____________________________________________
Back to top
View user's profile Send private message 
koulaxizis


Joined: 17 Jul 2011
Posts: 428
Location: Greece

PostPosted: Thu 28 Nov 2013, 11:06    Post subject:  

On Wheezy 3.5.2.8, i get this message:

Libgimp version mismatch!

The GIMP binary cannot run with a libgimp version
other than its own. This is GIMP 2.8.8, but the
libgimp version is 2.8.2.

Maybe you have GIMP versions in both /usr and /usr/local ?


Any help? Smile

_________________
Christos Koulaxizis
Woof woof from Greece...

[ Puppy packages | Puppy search ]
Back to top
View user's profile Send private message Visit poster's website 
don570


Joined: 10 Mar 2010
Posts: 3437
Location: Ontario

PostPosted: Thu 28 Nov 2013, 17:22    Post subject:  

limpgimp mismatch is the warning message when the precise version of
gimp is used instead of wheezy version of gimp.

I've downloaded the wheezy version and will test it.

___________________________________________
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3437
Location: Ontario

PostPosted: Sat 30 Nov 2013, 14:51    Post subject:  

I downloaded and tested on newest wheezy. Everything was fine
so I think that you installed the precise version. Download again and
try on a fresh wheezy installation.

____________________________________
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [10 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0694s ][ Queries: 12 (0.0067s) ][ GZIP on ]